Subject: Re: git diff too slow for a file

From: Junio C Hamano <[email-masked]>
Date: Tue, 20 Apr 2010 00:40:37 -0700

René Scharfe <[email-masked]> writes:

> For Linux, these 161 out of 178107 commits are affected:
>
>   90d49b4f  83f3c715  3b5dd52a  e97bd974  4e092d11  96b3c83d  4c96e893
>   ...
>   22e2c507  e9edcee0  303b86d9  47b5d69c  2d7edb92  cb624029  f4f051eb
>
> I have briefly looked at a few of them.  They were big and not obvious
> with or without XDF_NEED_MINIMAL, but the flag clearly helped to cut
> them down a bit.

Thanks.

I am getting the same impression after staring some output.

Probably we should at least try to get rid of the use of MINIMAL
immediately after 1.7.1 and if nobody finds large discrepancies, aim to
ship 1.7.2 (and possibly 1.7.1.1) without even --quick/--slow options.

I expect that there will also be some differences in the blame output.